
public class Class454 {

   public static Class454 aClass454_5678 = new Class454("LIVE", 0);
   public static Class454 aClass454_5679 = new Class454("BUILDLIVE", 3);
   public static Class454 aClass454_5680 = new Class454("RC", 1);
   public String aString5681;
   public static Class454 aClass454_5682 = new Class454("WIP", 2);
   static Class454 aClass454_5683 = new Class454("INTBETA", 4);
   public int anInt5684;


   Class454(String var1, int var2) {
      this.aString5681 = var1;
      this.anInt5684 = 71469587 * var2;
   }

   static Class454[] method7592() {
      return new Class454[]{aClass454_5680, aClass454_5683, aClass454_5678, aClass454_5682, aClass454_5679};
   }

   static Class454[] method7593() {
      return new Class454[]{aClass454_5680, aClass454_5683, aClass454_5678, aClass454_5682, aClass454_5679};
   }

   static Class454[] method7594() {
      return new Class454[]{aClass454_5680, aClass454_5683, aClass454_5678, aClass454_5682, aClass454_5679};
   }

   public static Class454 method7595(int var0) {
      Class454[] var1 = Class495.method8297((byte)-111);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class454 var3 = var1[var2];
         if(var3.anInt5684 * -377171941 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static Class454 method7596(int var0) {
      Class454[] var1 = Class495.method8297((byte)-28);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class454 var3 = var1[var2];
         if(var3.anInt5684 * -377171941 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static int method7597(int var0) {
      return 12;
   }
}
